#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		_fontname	google-noto-emoji
#-----------------------------------------------------------------------------
Name		:	google-noto-emoji
Version		:	20200916
Release		:	17.2.4.rel%{?dist}
Summary		:	google Emoji fonts
License		:	OFL and ASL 2.0

URL		:	https://github.com/googlei18n/noto-emoji
Source0		:       %{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
This package provides the Google "Noto Emoji"
Black-and-White emoji font.

#-----------------------------------------------------------------------------
%package -n 		%{_fontname}-bw-fonts
Summary		:	Google Noto Black-and-White emoji font.

#-----------------------------------------------------------------------------
Requires	:	mkfontdir
Requires	:	mkfontscale
Requires	:	fontconfig
#-----------------------------------------------------------------------------
%description -n 	%{_fontname}-bw-fonts
This package provides the Google Noto Black-and-White emoji font.

#-----------------------------------------------------------------------------
%files -n		%{_fontname}-bw-fonts
%defattr(0644,root,root,755)
%doc AUTHORS CONTRIBUTING.md CONTRIBUTORS README.md
%license LICENSE
%{_datadir}/fonts/%{_fontname}/NotoEmoji-Regular.ttf

#-----------------------------------------------------------------------------
%postun -n		%{_fontname}-bw-fonts
{
if [ "$1" = "0" -a -d %{_datadir}/fonts/%{_fontname} ] ; then
  mkfontdir %{_datadir}/fonts/%{_fontname}	
  fi
}

%post -n		%{_fontname}-bw-fonts
mkfontdir %{_datadir}/fonts/%{_fontname}	
fc-cache  %{_datadir}/fonts/%{_fontname}	

#=============================================================================
%package -n 		%{_fontname}-colored-fonts
Summary		:	Google Noto colored emoji font.

#-----------------------------------------------------------------------------
Requires	:	mkfontdir
Requires	:	mkfontscale
Requires	:	fontconfig
#-----------------------------------------------------------------------------

%description -n 	%{_fontname}-colored-fonts
This package provides the Google Noto colored emoji font.

#-----------------------------------------------------------------------------
%files -n		%{_fontname}-colored-fonts
%defattr(0644,root,root,755)
%doc AUTHORS CONTRIBUTING.md CONTRIBUTORS README.md
%license LICENSE
%{_datadir}/fonts/%{_fontname}/NotoColorEmoji.ttf	

#-----------------------------------------------------------------------------
%postun -n		%{_fontname}-colored-fonts
{
if [ "$1" = "0" -a -d %{_datadir}/fonts/%{_fontname} ] ; then
  mkfontdir %{_datadir}/fonts/%{_fontname}	
  fi
}

%post -n		%{_fontname}-colored-fonts
mkfontdir %{_datadir}/fonts/%{_fontname}	
fc-cache  %{_datadir}/fonts/%{_fontname}	

#=============================================================================
%prep
%setup -q 

#-----------------------------------------------------------------------------
%build

#-----------------------------------------------------------------------------
%install

mkdir -p %{buildroot}%{_datadir}/fonts/%{_fontname}
install -m644 						\
	fonts/NotoColorEmoji.ttf			\
	fonts/NotoEmoji-Regular.ttf			\
	%{buildroot}%{_datadir}/fonts/%{_fontname}

#-----------------------------------------------------------------------------
%changelog

